# Uses of Class
org.apache.lucene.analysis.CharArrayMap

Packages that use CharArrayMap
Package
Description
org.apache.lucene.analysis
Text analysis.

- ## Uses of CharArrayMap in org.apache.lucene.analysis

  Methods in org.apache.lucene.analysis that return CharArrayMap
  Modifier and Type
  Method
  Description
  `static <V> CharArrayMap<V>`
  CharArrayMap.`copy(Map<?,? extends V> map)`
  Returns a copy of the given map as a `CharArrayMap`.
  `static <V> CharArrayMap<V>`
  CharArrayMap.`emptyMap()`
  Returns an empty, unmodifiable map.
  `static CharArrayMap<String>`
  WordlistLoader.`getStemDict(Reader reader, CharArrayMap<String> result)`
  Reads a stem dictionary.
  `static <V> CharArrayMap<V>`
  CharArrayMap.`unmodifiableMap(CharArrayMap<V> map)`
  Returns an unmodifiable `CharArrayMap`.
  Methods in org.apache.lucene.analysis with parameters of type CharArrayMap
  Modifier and Type
  Method
  Description
  `static CharArrayMap<String>`
  WordlistLoader.`getStemDict(Reader reader, CharArrayMap<String> result)`
  Reads a stem dictionary.
  `static <V> CharArrayMap<V>`
  CharArrayMap.`unmodifiableMap(CharArrayMap<V> map)`
  Returns an unmodifiable `CharArrayMap`.